Help Installing QtPlasmaC

More
17 Jan 2021 19:53 #195699 by Hendrixx
If your getting the error that qtplasmac-setup cant import your modules try this

"cp -r /usr/lib/python3/dist-packages/PyQt5 /usr/lib/python2.7"

I spent the better part of 2 days trying to get pyqt5 to work and then it dawned on me to try copy paste
side note I did install a lot of stuff up to that point so if that doesn't work just keep downloading and building till it does.

Please Log in or Create an account to join the conversation.

More
17 Jan 2021 22:12 #195713 by phillc54
Replied by phillc54 on topic Help Installing QtPlasmaC
I don't think you should be copying python3 package to python2 folders, you need to install the correct packages for your python version.

Please Log in or Create an account to join the conversation.

More
18 Jan 2021 00:11 #195729 by Hendrixx
Replied by Hendrixx on topic Help Installing QtPlasmaC
I wouldn't normally have to except pip3 install PyQt5 won't install to python2.7. I tried sudo apt-get install PyQt5 and every other install method I could search for. I'm sure there's a way using options in pip I just don't know it. This was the only way I was able to get it to work.
I'm now running QtPlasmaC on linuxcnc version 2.9

Please Log in or Create an account to join the conversation.

More
18 Jan 2021 00:48 #195733 by phillc54
Replied by phillc54 on topic Help Installing QtPlasmaC
I have always only use apt to get any packages, I have never used pip.

QtPlasmaC should run on python3 so you could go that route if you wanted.

Please Log in or Create an account to join the conversation.

More
18 Jan 2021 10:55 #195765 by Hendrixx
Replied by Hendrixx on topic Help Installing QtPlasmaC
The setup script is using python2.7 and it was line 32 that was throwing the error:

from PyQt5.QtCore import *

It kept telling me the module didn't exist and every approach I took to get PyQT5 installed in python 2.7 directory wasn't working or was a long drawn process

So let me be clear. It is ill advised to copy and paste packages and do so at your own risk. Only do this if you are getting that error on line 32 when you run QtPlasmac-setup other wise you mite break something or it just wont work

Please Log in or Create an account to join the conversation.

More
18 Jan 2021 11:00 #195766 by phillc54
Replied by phillc54 on topic Help Installing QtPlasmaC
Did you try the script on this thread.
forum.linuxcnc.org/qtvcp/38414-installing-qtvcp#157829

Please Log in or Create an account to join the conversation.

More
19 Jan 2021 10:03 #195876 by rodw
Replied by rodw on topic Help Installing QtPlasmaC

phillc54 wrote: Did you try the script on this thread.
forum.linuxcnc.org/qtvcp/38414-installing-qtvcp#157829


When I installed QTplasmac on my chromebook last night, I ran that script of Phill's but had two more libraries to install
pip install xlib
pip install pyOpenGL

I have both Python 2.7 and Python 3 installed. I have pip on my system but I don't have pip3.

Please Log in or Create an account to join the conversation.

More
20 Jan 2021 07:50 #195973 by Hendrixx
Replied by Hendrixx on topic Help Installing QtPlasmaC
Yes but only after I had got the import error fixed because the very next error was a qtvcp and a quick search of google led me to that file thank very much for all the time and energy you put into this community

Please Log in or Create an account to join the conversation.

More
20 Jan 2021 07:54 #195974 by Hendrixx
Replied by Hendrixx on topic Help Installing QtPlasmaC
Would it be help if I post any crashes or bugs I encounter.

Please Log in or Create an account to join the conversation.

More
20 Jan 2021 08:13 #195975 by phillc54
Replied by phillc54 on topic Help Installing QtPlasmaC
Sure, but only if they are not related to having the wrong version of a python module installed.

Please Log in or Create an account to join the conversation.

Moderators: phillc54
Time to create page: 0.112 seconds
Powered by Kunena Forum